
angular.module('ag561app').controller('LogController', ['$http', '$log',
                                   function($http, $log) {

    var ctrl = this;
    ctrl.loading = false;
    
    ctrl.get_debug = function() {
        ctrl.loading = true;
        $http.get('/api/log/debug')
            .then(function(response) {
                ctrl.debug_options = response.data.options;
                ctrl.loading = false;
        });
    };
    ctrl.get_debug();

    ctrl.set_debug = function() {
        ctrl.loading = true;
        $http.put('/api/log/debug', { 'options' : ctrl.debug_options })
            .then(function(response) {
                ctrl.get_debug();
            });
    };

    ctrl.delete_debug_log = function() {
        ctrl.loading = true;
        $http.delete('/api/log/debug')
            .then(function(response) {
                ctrl.loading = false;
            });
        
    };
    
    ctrl.delete_system_log = function() {
        ctrl.loading = true;
        $http.delete('/api/log/system')
            .then(function(response) {
                ctrl.loading = false;
            });
    };

}]);
